com.smartgwt.client.util.tour

## Class TourConfirmStep

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.Task
      - - com.smartgwt.client.util.workflow.UserTask
        - - com.smartgwt.client.util.tour.TourConfirmStep

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class TourConfirmStep
      extends UserTask

  Chooses one or another next process element based on confirmation of a message shown to user.

  If the user clicks OK, the `nextElement` is chosen, otherwise the choice is `failureElement`.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TourConfirmStep()`
    `TourConfirmStep(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.String` | `getActionButtonTitle()` Applied directly to `targetView`.
    `java.lang.String` | `getCancelButtonTitle()` Applied directly to `targetView`.
    `java.lang.String` | `getFailureElement()` ID of the next element to process if the user clicks the `cancelButton`.
    `java.lang.String` | `getInstructions()` Text to show in body of window.
    `java.lang.String` | `getNextElement()` Next `element` to execute if the user clicks the `actionButton`.
    `static TourConfirmStep` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowActionButton()` Should the `targetView` `action button` be shown for this step?
    `java.lang.Boolean` | `getShowCancelButton()` Should the `targetView` `cancel button` be shown for this step?
    `Canvas` | `getTargetView()` Automatically generated view (typically a window) to show for tour step.
    `java.lang.String` | `getTargetViewConstructor()` The name of the widget class (as a string) to use for the target view.
    `Canvas` | `getTargetViewDefaults()` Defaults for the `targetView` autoChild.
    `java.lang.String` | `getTitle()` Title for the Window.
    `TourConfirmStep` | `setActionButtonTitle(java.lang.String actionButtonTitle)` Applied directly to `targetView`.
    `TourConfirmStep` | `setCancelButtonTitle(java.lang.String cancelButtonTitle)` Applied directly to `targetView`.
    `TourConfirmStep` | `setFailureElement(java.lang.String failureElement)` ID of the next element to process if the user clicks the `cancelButton`.
    `TourConfirmStep` | `setInstructions(java.lang.String instructions)` Text to show in body of window.
    `TourConfirmStep` | `setNextElement(java.lang.String nextElement)` Next `element` to execute if the user clicks the `actionButton`.
    `TourConfirmStep` | `setShowActionButton(java.lang.Boolean showActionButton)` Should the `targetView` `action button` be shown for this step?
    `TourConfirmStep` | `setShowCancelButton(java.lang.Boolean showCancelButton)` Should the `targetView` `cancel button` be shown for this step?
    `TourConfirmStep` | `setTargetViewConstructor(java.lang.String targetViewConstructor)` The name of the widget class (as a string) to use for the target view.
    `TourConfirmStep` | `setTargetViewDefaults(Canvas targetViewDefaults)` Defaults for the `targetView` autoChild.
    `TourConfirmStep` | `setTitle(java.lang.String title)` Title for the Window.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.UserTask

      `cancelEditing, completeEditing, getCancelElement, getInlineView, getPassThruOutput, getPreviousElement, getSaveToServer, getTargetForm, getTargetFormAsString, getTargetVM, getWizard, goToPrevious, setCancelElement, setInlineView, setPassThruOutput, setPreviousElement, setSaveToServer, setTargetForm, setTargetForm, setTargetView, setTargetView, setTargetVM, setTargetVM, setWizard`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.Task

      `getInputField, getInputFieldList, getOutputExpression, getOutputField, getOutputFieldList, setInputField, setInputFieldList, setOutputExpression, setOutputField, setOutputFieldList`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getOrCreateJsObj, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TourConfirmStep

          public TourConfirmStep()

    - #### TourConfirmStep

          public TourConfirmStep(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static TourConfirmStep getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `UserTask`

    - #### setActionButtonTitle

          public TourConfirmStep setActionButtonTitle(java.lang.String actionButtonTitle)
                                               throws java.lang.IllegalStateException

      Applied directly to `targetView`.
      Parameters:
        `actionButtonTitle` - New actionButtonTitle value. Default value is "OK"
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getActionButtonTitle

          public java.lang.String getActionButtonTitle()

      Applied directly to `targetView`.
      Returns:
        Current actionButtonTitle value. Default value is "OK"
      See Also:
        `HTMLString`

    - #### setCancelButtonTitle

          public TourConfirmStep setCancelButtonTitle(java.lang.String cancelButtonTitle)
                                               throws java.lang.IllegalStateException

      Applied directly to `targetView`.
      Parameters:
        `cancelButtonTitle` - New cancelButtonTitle value. Default value is "Cancel
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getCancelButtonTitle

          public java.lang.String getCancelButtonTitle()

      Applied directly to `targetView`.
      Returns:
        Current cancelButtonTitle value. Default value is "Cancel
      See Also:
        `HTMLString`

    - #### setFailureElement

          public TourConfirmStep setFailureElement(java.lang.String failureElement)
                                            throws java.lang.IllegalStateException

      ID of the next element to process if the user clicks the `cancelButton`. If not set, the process will exit.
      Parameters:
        `failureElement` - New failureElement value. Default value is null
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getFailureElement

          public java.lang.String getFailureElement()

      ID of the next element to process if the user clicks the `cancelButton`. If not set, the process will exit.
      Returns:
        Current failureElement value. Default value is null

    - #### setInstructions

          public TourConfirmStep setInstructions(java.lang.String instructions)
                                          throws java.lang.IllegalStateException

      Text to show in body of window.
      Parameters:
        `instructions` - New instructions value. Default value is null
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`, `Appearance overview and related methods`

    - #### getInstructions

          public java.lang.String getInstructions()

      Text to show in body of window.
      Returns:
        Current instructions value. Default value is null
      See Also:
        `HTMLString`, `Appearance overview and related methods`

    - #### setNextElement

          public TourConfirmStep setNextElement(java.lang.String nextElement)
                                         throws java.lang.IllegalStateException

      Next `element` to execute if the user clicks the `actionButton`.

      `nextElement` does not need to be specified if this gateway is part of a `sequence` and has a next element in the sequence. This is normal for a tour.

      Overrides:
        `setNextElement` in class `ProcessElement`
      Parameters:
        `nextElement` - New nextElement value. Default value is null
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getNextElement

          public java.lang.String getNextElement()

      Next `element` to execute if the user clicks the `actionButton`.

      `nextElement` does not need to be specified if this gateway is part of a `sequence` and has a next element in the sequence. This is normal for a tour.

      Overrides:
        `getNextElement` in class `ProcessElement`
      Returns:
        Current nextElement value. Default value is null

    - #### setShowActionButton

          public TourConfirmStep setShowActionButton(java.lang.Boolean showActionButton)
                                              throws java.lang.IllegalStateException

      Should the `targetView` `action button` be shown for this step?

      If no value is provided it will be defaulted to `true`.

      Parameters:
        `showActionButton` - New showActionButton value. Default value is null
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowActionButton

          public java.lang.Boolean getShowActionButton()

      Should the `targetView` `action button` be shown for this step?

      If no value is provided it will be defaulted to `true`.

      Returns:
        Current showActionButton value. Default value is null

    - #### setShowCancelButton

          public TourConfirmStep setShowCancelButton(java.lang.Boolean showCancelButton)
                                              throws java.lang.IllegalStateException

      Should the `targetView` `cancel button` be shown for this step?

      If no value is provided it will be defaulted to `true`.

      Parameters:
        `showCancelButton` - New showCancelButton value. Default value is null
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowCancelButton

          public java.lang.Boolean getShowCancelButton()

      Should the `targetView` `cancel button` be shown for this step?

      If no value is provided it will be defaulted to `true`.

      Returns:
        Current showCancelButton value. Default value is null

    - #### getTargetView

          public Canvas getTargetView()
                               throws java.lang.IllegalStateException

      Automatically generated view (typically a window) to show for tour step.

      The following `passthroughs` apply:

      - `showCancelButton` for the `TourWindow.showCancelButton`
      - `cancelButtonTitle` for the `TourWindow.cancelButtonTitle`
      - `actionButtonTitle` for the `TourWindow.actionButtonTitle`

      This component is an AutoChild named "targetView". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Overrides:
        `getTargetView` in class `UserTask`
      Returns:
        Current targetView value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if the underlying component has not yet been created.

    - #### setTargetViewConstructor

          public TourConfirmStep setTargetViewConstructor(java.lang.String targetViewConstructor)
                                                   throws java.lang.IllegalStateException

      The name of the widget class (as a string) to use for the target view.
      Parameters:
        `targetViewConstructor` - New targetViewConstructor value. Default value is "TourWindow"
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTargetViewConstructor

          public java.lang.String getTargetViewConstructor()

      The name of the widget class (as a string) to use for the target view.
      Returns:
        Current targetViewConstructor value. Default value is "TourWindow"

    - #### setTargetViewDefaults

          public TourConfirmStep setTargetViewDefaults(Canvas targetViewDefaults)
                                                throws java.lang.IllegalStateException

      Defaults for the `targetView` autoChild.
      Parameters:
        `targetViewDefaults` - New targetViewDefaults value. Default value is {...}
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `SGWTProperties`

    - #### getTargetViewDefaults

          public Canvas getTargetViewDefaults()

      Defaults for the `targetView` autoChild.
      Returns:
        Current targetViewDefaults value. Default value is {...}

    - #### setTitle

          public TourConfirmStep setTitle(java.lang.String title)
                                   throws java.lang.IllegalStateException

      Title for the Window.
      Parameters:
        `title` - New title value. Default value is null
      Returns:
        `TourConfirmStep` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`, `Appearance overview and related methods`

    - #### getTitle

          public java.lang.String getTitle()

      Title for the Window.
      Returns:
        Current title value. Default value is null
      See Also:
        `HTMLString`, `Appearance overview and related methods`